Subject: bug#47945: 4096 Sector bug

From: "Brian C. Lane" <[email-masked]>
Date: Thu, 22 Apr 2021 10:37:01 -0700

On Wed, Apr 21, 2021 at 07:46:50PM -0400, Eric Wood wrote:
> I recently installed Ubuntu on a SSD with logical/physical sector size 
> of 4096/4096.  Everything works fine; however, just for curiosity I did 
> a check on the efi partition 500MB, formatted as FAT32.
> 
> I got the following error messages: (See image).

We need an error from parted in order to diagnose problems, or a
stacktrace from libparted if something crashes.

> This does not happen on a usb drive with 512 byte sectors.
> 
> Everything looks fine when I check with fsck.fat:
> 
> fsck.fat 4.1 (2017-01-24)
> Checking we can access the last sector of the filesystem
> Boot sector contents:
> System ID "mkfs.fat"
> Media byte 0xf8 (hard disk)
>        4096 bytes per logical sector
>        4096 bytes per cluster
>          32 reserved sectors
> First FAT starts at byte 131072 (sector 32)
>           2 FATs, 32 bit entries
>      512000 bytes per FAT (= 125 sectors)
> Root directory start at cluster 2 (arbitrary size)
> Data area starts at byte 1155072 (sector 282)
>      127718 data clusters (523132928 bytes)
> 63 sectors/track, 255 heads
>        2048 hidden sectors
>      128000 sectors total
> Checking for unused clusters.
> Checking free cluster summary.
> /dev/sda1: 11 files, 1997/127718 clusters
> 
> 
> Here is the output you requested from parted:
> 
> 
> Model: Unknown (unknown)
> Disk /dev/sda1: 524MB
> Sector size (logical/physical): 4096B/4096B
> Partition Table: loop
> Disk Flags:
> 
> Number  Start  End    Size   File system  Flags
>   1      0.00B  524MB  524MB  fat32
> 
> Model: Unknown (unknown)
> Disk /dev/sda1: 128000s
> Sector size (logical/physical): 4096B/4096B
> Partition Table: loop
> Disk Flags:
> 
> Number  Start  End      Size     File system  Flags
>   1      0s     127999s  128000s  fat32
> 
> Model: Unknown (unknown)
> Disk /dev/sda1: 55,197,1
> Sector size (logical/physical): 4096B/4096B
> BIOS cylinder,head,sector geometry: 55,255,9.  Each cylinder is 9400kB.
> Partition Table: loop
> Disk Flags:
> 
> Thanks!
> 
> Eric (Wood)
> 

That looks like parted wasn't used to partition the disk, the file
system is starting at sector 0 and the table is 'loop'.

I'm not clear on what you think is wrong with parted.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart